openapi: 3.0.1
info:
  title: OpenAPI definition
  version: v0
servers:
- description: Generated server url
  url: http://localhost:8080
tags:
- description: API for managing onboarding requests
  name: Onboarding Requests API
- description: API for managing participant type
  name: Participant Type API
paths:
  /onboarding-template/{participantTypeId}:
    delete:
      description: Deletes the onboarding template for a specific participant type.
      operationId: deleteOnboardingTemplate
      parameters:
      - description: Type of participant for which the onboarding template is deleted
        explode: false
        in: path
        name: participantTypeId
        required: true
        schema:
          format: uuid
          type: string
        style: simple
      responses:
        "204":
          description: Onboarding template deleted successfully
        "401":
          description: Access denied
        "403":
          description: "Forbidden: User does not have the required role"
        "404":
          description: Participant type not found
      summary: Delete Onboarding Template
      tags:
      - onboarding-template-controller
    get:
      description: Retrieves an onboarding template for a specific participant type.
      operationId: getOnboardingTemplate
      parameters:
      - description: Type of participant for which the onboarding template is retrieved
        explode: false
        in: path
        name: participantTypeId
        required: true
        schema:
          format: uuid
          type: string
        style: simple
      responses:
        "200":
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OnboardingTemplateDTO'
          description: Onboarding template retrieved successfully
        "204":
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/OnboardingTemplateDTO'
          description: Onboarding template not present for the specified participant
            type
        "401":
          description: Access denied
        "403":
          description: "Forbidden: User does not have the required role"
        "404":
          description: Participant type not found
      summary: Get Onboarding Template by Participant Type
      tags:
      - onboarding-template-controller
    patch:
      description: Updates the onboarding template for a specific participant type
        with a list of document template UUIDs.
      operationId: updateOnboardingTemplate_1
      parameters:
      - description: Type of participant for which the onboarding template is updated
        explode: false
        in: path
        name: participantTypeId
        required: true
        schema:
          format: uuid
          type: string
        style: simple
      requestBody:
        content:
          application/json:
            schema:
              items:
                format: uuid
                type: string
              type: array
        description: List of document template UUIDs to be associated with the onboarding
          template
        required: true
      responses:
        "200":
          description: Onboarding template updated successfully
        "400":
          description: Invalid input data
        "401":
          description: Access denied
        "403":
          description: "Forbidden: User does not have the required role"
        "404":
          description: Participant type not found
      summary: Update Onboarding Template
      tags:
      - onboarding-template-controller
    put:
      description: Updates the onboarding template for a specific participant type.
      operationId: updateOnboardingTemplate
      parameters:
      - description: Type of participant for which the onboarding template is updated
        explode: false
        in: path
        name: participantTypeId
        required: true
        schema:
          format: uuid
          type: string
        style: simple
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OnboardingTemplateDTO'
        description: Onboarding template data to be updated
        required: true
      responses:
        "200":
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OnboardingTemplateDTO'
          description: Onboarding template updated successfully
        "400":
          description: Invalid input data
        "401":
          description: Access denied
        "403":
          description: "Forbidden: User does not have the required role"
        "404":
          description: Participant type not found
      summary: Update Onboarding Template
      tags:
      - onboarding-template-controller
  /mime-type/{id}:
    delete:
      description: Deletes a MIME type by its unique identifier.
      operationId: deleteMimeType
      parameters:
      - description: Unique identifier of the MIME type to be deleted
        explode: false
        in: path
        name: id
        required: true
        schema:
          format: uuid
          type: string
        style: simple
      responses:
        "204":
          description: MIME type deleted successfully
        "401":
          description: Access denied
        "403":
          description: "Forbidden: User does not have the required role"
      summary: Delete MIME type by ID
      tags:
      - mime-type-controller
    get:
      description: Retrieves a MIME type by its unique identifier.
      operationId: getMimeType
      parameters:
      - description: Unique identifier of the MIME type
        explode: false
        in: path
        name: id
        required: true
        schema:
          format: uuid
          type: string
        style: simple
      responses:
        "200":
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MimeTypeDTO'
          description: Successfully retrieved MIME type
        "401":
          description: Access denied
        "403":
          description: "Forbidden: User does not have the required role"
        "404":
          description: MIME type not found
      summary: Get MIME type by ID
      tags:
      - mime-type-controller
    put:
      description: Updates an existing MIME type with the provided details.
      operationId: updateMimeType
      parameters:
      - description: Unique identifier of the MIME type to be updated
        explode: false
        in: path
        name: id
        required: true
        schema:
          format: uuid
          type: string
        style: simple
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MimeTypeDTO'
        description: Updated MIME type details
        required: true
      responses:
        "200":
          description: MIME type updated successfully
        "400":
          description: Invalid input data
        "401":
          description: Access denied
        "403":
          description: "Forbidden: User does not have the required role"
        "404":
          description: MIME type not found
      summary: Update MIME type by ID
      tags:
      - mime-type-controller
  /onboarding-request:
    get:
      description: Searches for onboarding requests based on filters and pagination
      operationId: search
      parameters:
      - explode: true
        in: query
        name: status
        required: false
        schema:
          type: string
        style: form
      - explode: true
        in: query
        name: email
        required: false
        schema:
          type: string
        style: form
      - explode: true
        in: query
        name: creationTimestampFrom
        required: false
        schema:
          format: date-time
          type: string
        style: form
      - explode: true
        in: query
        name: creationTimestampTo
        required: false
        schema:
          format: date-time
          type: string
        style: form
      - explode: true
        in: query
        name: updateTimestampFrom
        required: false
        schema:
          format: date-time
          type: string
        style: form
      - explode: true
        in: query
        name: updateTimestampTo
        required: false
        schema:
          format: date-time
          type: string
        style: form
      - explode: true
        in: query
        name: lastParticipantUpdateTimestampFrom
        required: false
        schema:
          format: date-time
          type: string
        style: form
      - explode: true
        in: query
        name: lastParticipantUpdateTimestampTo
        required: false
        schema:
          format: date-time
          type: string
        style: form
      - description: Zero-based page index (0..N)
        explode: true
        in: query
        name: page
        required: false
        schema:
          default: 0
          minimum: 0
          type: integer
        style: form
      - description: The size of the page to be returned
        explode: true
        in: query
        name: size
        required: false
        schema:
          default: 10
          minimum: 1
          type: integer
        style: form
      - description: "Sorting criteria in the format: property,(asc|desc). Default\
          \ sort order is ascending. Multiple sort criteria are supported."
        explode: true
        in: query
        name: sort
        required: false
        schema:
          default:
          - "creationTimestamp,ASC"
          items:
            type: string
          type: array
        style: form
      responses:
        "200":
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/PageResponseOnboardingRequestDTO'
          description: Search results
        "400":
          description: Invalid search criteria provided
        "401":
          description: Access denied
        "403":
          description: "Forbidden: User does not have the required role"
      summary: Search Onboarding Requests
      tags:
      - Onboarding Requests API
    post:
      description: Creates a new onboarding request
      operationId: create
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OnboardingRequestDTO'
        description: The onboarding request to create
        required: true
      responses:
        "201":
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OnboardingRequestDTO'
          description: Onboarding request created successfully
        "400":
          description: Invalid request data provided
        "401":
          description: Access denied
        "403":
          description: "Forbidden: User does not have the required role"
      summary: Create Onboarding Request
      tags:
      - Onboarding Requests API
  /onboarding-request/{id}/submit:
    post:
      operationId: submit
      parameters:
      - explode: false
        in: path
        name: id
        required: true
        schema:
          format: uuid
          type: string
        style: simple
      responses:
        "200":
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/OnboardingRequestDTO'
          description: OK
      tags:
      - Onboarding Requests API
  /onboarding-request/{id}/request-revision:
    post:
      operationId: requestRevision
      parameters:
      - explode: false
        in: path
        name: id
        required: true
        schema:
          format: uuid
          type: string
        style: simple
      responses:
        "200":
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/OnboardingRequestDTO'
          description: OK
      tags:
      - Onboarding Requests API
  /onboarding-request/{id}/reject:
    post:
      operationId: reject
      parameters:
      - explode: false
        in: path
        name: id
        required: true
        schema:
          format: uuid
          type: string
        style: simple
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RejectDTO'
        required: true
      responses:
        "200":
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/OnboardingRequestDTO'
          description: OK
      tags:
      - Onboarding Requests API
  /onboarding-request/{id}/document:
    patch:
      description: Updates a document for an existing onboarding request
      operationId: uploadDocument
      parameters:
      - description: The ID of the onboarding request
        explode: false
        in: path
        name: id
        required: true
        schema:
          format: uuid
          type: string
        style: simple
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DocumentDTO'
        description: The document to upload or update
        required: true
      responses:
        "200":
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/OnboardingRequestDTO'
          description: Document updated successfully
        "400":
          description: Invalid request data provided
        "401":
          description: Access denied
        "403":
          description: "Forbidden: User does not have the required role"
        "404":
          description: Onboarding request not found
      summary: Set Document for Onboarding Request
      tags:
      - Onboarding Requests API
    post:
      description: Adds a document to an existing onboarding request
      operationId: requestAdditionalDocument
      parameters:
      - description: The ID of the onboarding request
        explode: false
        in: path
        name: id
        required: true
        schema:
          format: uuid
          type: string
        style: simple
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DocumentDTO'
        description: The document to add
        required: true
      responses:
        "200":
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OnboardingRequestDTO'
          description: Document added successfully
        "400":
          description: Invalid request data provided
        "401":
          description: Access denied
        "403":
          description: "Forbidden: User does not have the required role"
        "404":
          description: Onboarding request not found
      summary: Add Document to Onboarding Request
      tags:
      - Onboarding Requests API
  /onboarding-request/{id}/approve:
    post:
      operationId: approve
      parameters:
      - explode: false
        in: path
        name: id
        required: true
        schema:
          format: uuid
          type: string
        style: simple
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ApproveDTO'
        required: true
      responses:
        "200":
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/OnboardingRequestDTO'
          description: OK
      tags:
      - Onboarding Requests API
  /mime-type:
    get:
      description: Retrieves a paginated list of all MIME types.
      operationId: getAllMimeTypes
      parameters:
      - description: Zero-based page index (0..N)
        explode: true
        in: query
        name: page
        required: false
        schema:
          default: 0
          minimum: 0
          type: integer
        style: form
      - description: The size of the page to be returned
        explode: true
        in: query
        name: size
        required: false
        schema:
          default: 10
          minimum: 1
          type: integer
        style: form
      - description: "Sorting criteria in the format: property,(asc|desc). Default\
          \ sort order is ascending. Multiple sort criteria are supported."
        explode: true
        in: query
        name: sort
        required: false
        schema:
          default:
          - "id,ASC"
          items:
            type: string
          type: array
        style: form
      responses:
        "200":
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/PagedModelMimeTypeDTO'
          description: Successfully retrieved list of MIME types
        "401":
          description: Access denied
        "403":
          description: "Forbidden: User does not have the required role"
      summary: Get all MIME types
      tags:
      - mime-type-controller
    post:
      description: Creates a new MIME type with the provided details.
      operationId: createMimeType
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MimeTypeDTO'
        description: MIME type details
        required: true
      responses:
        "201":
          content:
            application/json:
              schema:
                format: uuid
                type: string
          description: MIME type created successfully
        "400":
          description: Invalid input data
        "401":
          description: Access denied
        "403":
          description: "Forbidden: User does not have the required role"
        "422":
          description: Mime type not supported
      summary: Create a new MIME type
      tags:
      - mime-type-controller
  /onboarding-status/{id}:
    patch:
      description: Set the onboarding status label
      operationId: setLabel
      parameters:
      - explode: false
        in: path
        name: id
        required: true
        schema:
          format: uuid
          type: string
        style: simple
      - explode: true
        in: query
        name: label
        required: true
        schema:
          type: string
        style: form
      responses:
        "204":
          description: onboarding status label set correctly
        "401":
          description: Access denied
        "403":
          description: "Forbidden: User does not have the required role"
        "404":
          description: "Not found: No Status associated to the id"
      summary: Set Onboarding Status Label
      tags:
      - onboarding-status-controller
  /onboarding-request/{id}/expiration-timeframe:
    patch:
      description: Sets the expiration timeframe for an existing onboarding request
      operationId: setExpirationTimeframe
      parameters:
      - description: The ID of the onboarding request
        explode: false
        in: path
        name: id
        required: true
        schema:
          format: uuid
          type: string
        style: simple
      - description: The expiration timeframe in milliseconds
        explode: true
        in: query
        name: expirationTimeframe
        required: true
        schema:
          format: int64
          type: integer
        style: form
      responses:
        "200":
          description: Expiration timeframe set successfully
        "400":
          description: Invalid request data provided
        "401":
          description: Access denied
        "403":
          description: "Forbidden: User does not have the required role"
        "404":
          description: Onboarding request not found
      summary: Set Expiration Timeframe for Onboarding Request
      tags:
      - Onboarding Requests API
  /onboarding-request/{id}/comment:
    patch:
      description: Adds a comment to an existing onboarding request
      operationId: addComment
      parameters:
      - description: The ID of the onboarding request
        explode: false
        in: path
        name: id
        required: true
        schema:
          format: uuid
          type: string
        style: simple
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CommentDTO'
        description: The comment to add
        required: true
      responses:
        "200":
          content:
            '*/*':
              schema:
                $ref: '#/components/schemas/OnboardingRequestDTO'
          description: Comment added successfully
        "400":
          description: Invalid request data provided
        "401":
          description: Access denied
        "403":
          description: "Forbidden: User does not have the required role"
        "404":
          description: Onboarding request not found
      summary: Add Comment to Onboarding Request
      tags:
      - Onboarding Requests API
  /participant-type:
    get:
      description: Returns a set of all participant types available in the system.
      operationId: getParticipantTypes
      responses:
        "200":
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/ParticipantTypeDTO'
                type: array
          description: Successfully retrieved participant types
        "401":
          description: Access denied
        "403":
          description: "Forbidden: User does not have the required role"
      summary: Get all participant types
      tags:
      - Participant Type API
  /onboarding-template:
    get:
      description: Retrieves a list of all onboarding templates.
      operationId: getOnboardingTemplates
      responses:
        "200":
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/OnboardingTemplateDTO'
                type: array
          description: List of onboarding templates retrieved successfully
        "401":
          description: Access denied
        "403":
          description: "Forbidden: User does not have the required role"
      summary: Get Onboarding Templates
      tags:
      - onboarding-template-controller
  /onboarding-status:
    get:
      description: Retrieves the onboarding status
      operationId: getStatus
      responses:
        "200":
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/OnboardingStatusDTO'
                type: array
          description: onboarding status retrieved successfully
        "401":
          description: Access denied
        "403":
          description: "Forbidden: User does not have the required role"
      summary: Get Onboarding Status
      tags:
      - onboarding-status-controller
  /onboarding-request/{onboardingRequestId}:
    get:
      description: Retrieves an onboarding request by its ID
      operationId: getOnboardingRequest
      parameters:
      - description: The ID of the onboarding request
        explode: false
        in: path
        name: onboardingRequestId
        required: true
        schema:
          format: uuid
          type: string
        style: simple
      responses:
        "200":
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OnboardingRequestDTO'
          description: Onboarding request retrieved successfully
        "400":
          description: Invalid request data provided
        "401":
          description: Access denied
        "403":
          description: "Forbidden: User does not have the required role"
        "404":
          description: Onboarding request not found
      summary: Get Onboarding Request
      tags:
      - Onboarding Requests API
  /onboarding-request/{onboardingRequestId}/document/{documentId}:
    delete:
      operationId: deleteDocument
      parameters:
      - explode: false
        in: path
        name: onboardingRequestId
        required: true
        schema:
          format: uuid
          type: string
        style: simple
      - explode: false
        in: path
        name: documentId
        required: true
        schema:
          format: uuid
          type: string
        style: simple
      responses:
        "204":
          description: No Content
      tags:
      - Onboarding Requests API
    get:
      description: Retrieves a specific document from an existing onboarding request
      operationId: getDocument
      parameters:
      - description: The ID of the onboarding request
        explode: false
        in: path
        name: onboardingRequestId
        required: true
        schema:
          format: uuid
          type: string
        style: simple
      - description: The ID of the document to retrieve
        explode: false
        in: path
        name: documentId
        required: true
        schema:
          format: uuid
          type: string
        style: simple
      responses:
        "200":
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DocumentDTO'
          description: Document retrieved successfully
        "400":
          description: Invalid request data provided
        "401":
          description: Access denied
        "403":
          description: "Forbidden: User does not have the required role"
        "404":
          description: Onboarding request or document not found
      summary: Get Document from Onboarding Request
      tags:
      - Onboarding Requests API
  /mime-type/supported:
    get:
      description: Retrieves all supported MIME types.
      operationId: getAllAvailableMimeTypes
      parameters:
      - explode: true
        in: query
        name: search
        required: false
        schema:
          default: ""
          type: string
        style: form
      responses:
        "200":
          content:
            '*/*':
              schema:
                items:
                  type: string
                type: array
          description: Successfully retrieved list of MIME types
        "401":
          description: Access denied
        "403":
          description: "Forbidden: User does not have the required role"
      summary: Get all supported MIME types
      tags:
      - mime-type-controller
components:
  schemas:
    ErrorDTO:
      properties:
        error:
          type: string
        elementName:
          type: string
      type: object
    DocumentTemplateDTO:
      example:
        name: name
        creationTimestamp: 2000-01-23T04:56:07.000+00:00
        description: description
        id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
        mimeType:
          description: description
          id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
          value: value
        mandatory: true
        updateTimestamp: 2000-01-23T04:56:07.000+00:00
      properties:
        id:
          format: uuid
          type: string
        name:
          type: string
        description:
          type: string
        mandatory:
          type: boolean
        mimeType:
          $ref: '#/components/schemas/MimeTypeDTO'
        creationTimestamp:
          format: date-time
          readOnly: true
          type: string
        updateTimestamp:
          format: date-time
          readOnly: true
          type: string
      required:
      - description
      - id
      - mandatory
      - mimeType
      - name
      type: object
    MimeTypeDTO:
      example:
        description: description
        id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
        value: value
      properties:
        id:
          format: uuid
          type: string
        value:
          type: string
        description:
          type: string
      required:
      - description
      - value
      type: object
    OnboardingTemplateDTO:
      example:
        documentTemplates:
        - name: name
          creationTimestamp: 2000-01-23T04:56:07.000+00:00
          description: description
          id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
          mimeType:
            description: description
            id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
            value: value
          mandatory: true
          updateTimestamp: 2000-01-23T04:56:07.000+00:00
        - name: name
          creationTimestamp: 2000-01-23T04:56:07.000+00:00
          description: description
          id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
          mimeType:
            description: description
            id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
            value: value
          mandatory: true
          updateTimestamp: 2000-01-23T04:56:07.000+00:00
        expirationTimeframe: 0
        participantType:
          id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
          label: label
          value: value
        creationTimestamp: 2000-01-23T04:56:07.000+00:00
        description: description
        id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
        updateTimestamp: 2000-01-23T04:56:07.000+00:00
      properties:
        id:
          format: uuid
          type: string
        participantType:
          $ref: '#/components/schemas/ParticipantTypeDTO'
        description:
          type: string
        creationTimestamp:
          format: date-time
          readOnly: true
          type: string
        updateTimestamp:
          format: date-time
          readOnly: true
          type: string
        documentTemplates:
          items:
            $ref: '#/components/schemas/DocumentTemplateDTO'
          type: array
        expirationTimeframe:
          format: int64
          type: integer
      required:
      - description
      - expirationTimeframe
      type: object
    ParticipantTypeDTO:
      example:
        id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
        label: label
        value: value
      properties:
        id:
          format: uuid
          type: string
        value:
          type: string
        label:
          type: string
      type: object
    CommentDTO:
      example:
        author: author
        creationTimestamp: 2000-01-23T04:56:07.000+00:00
        id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
        content: content
        updateTimestamp: 2000-01-23T04:56:07.000+00:00
      properties:
        id:
          format: uuid
          readOnly: true
          type: string
        author:
          type: string
        content:
          type: string
        creationTimestamp:
          format: date-time
          readOnly: true
          type: string
        updateTimestamp:
          format: date-time
          readOnly: true
          type: string
      required:
      - author
      - content
      type: object
    DocumentDTO:
      example:
        filename: filename
        hasContent: true
        creationTimestamp: 2000-01-23T04:56:07.000+00:00
        description: description
        id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
        mimeType:
          description: description
          id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
          value: value
        filesize: 0
        documentTemplate:
          name: name
          creationTimestamp: 2000-01-23T04:56:07.000+00:00
          description: description
          id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
          mimeType:
            description: description
            id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
            value: value
          mandatory: true
          updateTimestamp: 2000-01-23T04:56:07.000+00:00
        mandatory: true
        updateTimestamp: 2000-01-23T04:56:07.000+00:00
        content: content
      properties:
        id:
          format: uuid
          type: string
        documentTemplate:
          $ref: '#/components/schemas/DocumentTemplateDTO'
        mimeType:
          $ref: '#/components/schemas/MimeTypeDTO'
        description:
          type: string
        filename:
          type: string
        filesize:
          format: int64
          readOnly: true
          type: integer
        creationTimestamp:
          format: date-time
          readOnly: true
          type: string
        updateTimestamp:
          format: date-time
          readOnly: true
          type: string
        content:
          type: string
        hasContent:
          type: boolean
        mandatory:
          type: boolean
      type: object
    OnboardingApplicantDTO:
      example:
        firstName: firstName
        lastName: lastName
        password: null
        email: email
        username: username
      properties:
        username:
          type: string
        firstName:
          type: string
        lastName:
          type: string
        email:
          type: string
        password:
          $ref: '#/components/schemas/OnboardingApplicantDTO'
      required:
      - email
      - firstName
      - lastName
      - password
      - username
      type: object
    OnboardingRequestDTO:
      example:
        comments:
        - author: author
          creationTimestamp: 2000-01-23T04:56:07.000+00:00
          id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
          content: content
          updateTimestamp: 2000-01-23T04:56:07.000+00:00
        - author: author
          creationTimestamp: 2000-01-23T04:56:07.000+00:00
          id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
          content: content
          updateTimestamp: 2000-01-23T04:56:07.000+00:00
        expirationTimeframe: 6
        documents:
        - filename: filename
          hasContent: true
          creationTimestamp: 2000-01-23T04:56:07.000+00:00
          description: description
          id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
          mimeType:
            description: description
            id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
            value: value
          filesize: 0
          documentTemplate:
            name: name
            creationTimestamp: 2000-01-23T04:56:07.000+00:00
            description: description
            id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
            mimeType:
              description: description
              id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
              value: value
            mandatory: true
            updateTimestamp: 2000-01-23T04:56:07.000+00:00
          mandatory: true
          updateTimestamp: 2000-01-23T04:56:07.000+00:00
          content: content
        - filename: filename
          hasContent: true
          creationTimestamp: 2000-01-23T04:56:07.000+00:00
          description: description
          id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
          mimeType:
            description: description
            id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
            value: value
          filesize: 0
          documentTemplate:
            name: name
            creationTimestamp: 2000-01-23T04:56:07.000+00:00
            description: description
            id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
            mimeType:
              description: description
              id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
              value: value
            mandatory: true
            updateTimestamp: 2000-01-23T04:56:07.000+00:00
          mandatory: true
          updateTimestamp: 2000-01-23T04:56:07.000+00:00
          content: content
        participantType:
          id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
          label: label
          value: value
        lastStatusUpdateTimestamp: 2000-01-23T04:56:07.000+00:00
        rejectionCause: rejectionCause
        updateTimestamp: 2000-01-23T04:56:07.000+00:00
        applicant:
          firstName: firstName
          lastName: lastName
          password: null
          email: email
          username: username
        participantId: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
        organization: organization
        creationTimestamp: 2000-01-23T04:56:07.000+00:00
        id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
        status:
          id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
          label: label
          value: IN_PROGRESS
      properties:
        id:
          format: uuid
          type: string
        participantId:
          format: uuid
          type: string
        status:
          $ref: '#/components/schemas/OnboardingStatusDTO'
        applicant:
          $ref: '#/components/schemas/OnboardingApplicantDTO'
        participantType:
          $ref: '#/components/schemas/ParticipantTypeDTO'
        organization:
          type: string
        documents:
          items:
            $ref: '#/components/schemas/DocumentDTO'
          type: array
        comments:
          items:
            $ref: '#/components/schemas/CommentDTO'
          type: array
        rejectionCause:
          type: string
        expirationTimeframe:
          format: int64
          type: integer
        creationTimestamp:
          format: date-time
          readOnly: true
          type: string
        updateTimestamp:
          format: date-time
          readOnly: true
          type: string
        lastStatusUpdateTimestamp:
          format: date-time
          readOnly: true
          type: string
      required:
      - applicant
      - organization
      - participantType
      type: object
    OnboardingStatusDTO:
      example:
        id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
        label: label
        value: IN_PROGRESS
      properties:
        id:
          format: uuid
          type: string
        label:
          type: string
        value:
          $ref: '#/components/schemas/OnboardingStatusValue'
      required:
      - label
      - value
      type: object
    OnboardingStatusValue:
      enum:
      - IN_PROGRESS
      - IN_REVIEW
      - REJECTED
      - APPROVED
      type: string
    RejectDTO:
      example:
        rejectionCause: rejectionCause
      properties:
        rejectionCause:
          type: string
      required:
      - rejectionCause
      type: object
    ApproveDTO:
      example:
        identityAttributes:
        - 046b6c7f-0b8a-43b9-b35d-6489e6daee91
        - 046b6c7f-0b8a-43b9-b35d-6489e6daee91
      properties:
        identityAttributes:
          items:
            format: uuid
            type: string
          type: array
      type: object
    PageMetadata:
      example:
        number: 5
        size: 1
        totalPages: 2
        totalElements: 5
      properties:
        size:
          format: int64
          type: integer
        number:
          format: int64
          type: integer
        totalElements:
          format: int64
          type: integer
        totalPages:
          format: int64
          type: integer
      type: object
    PageResponseOnboardingRequestDTO:
      example:
        page:
          number: 5
          size: 1
          totalPages: 2
          totalElements: 5
        content:
        - comments:
          - author: author
            creationTimestamp: 2000-01-23T04:56:07.000+00:00
            id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
            content: content
            updateTimestamp: 2000-01-23T04:56:07.000+00:00
          - author: author
            creationTimestamp: 2000-01-23T04:56:07.000+00:00
            id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
            content: content
            updateTimestamp: 2000-01-23T04:56:07.000+00:00
          expirationTimeframe: 6
          documents:
          - filename: filename
            hasContent: true
            creationTimestamp: 2000-01-23T04:56:07.000+00:00
            description: description
            id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
            mimeType:
              description: description
              id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
              value: value
            filesize: 0
            documentTemplate:
              name: name
              creationTimestamp: 2000-01-23T04:56:07.000+00:00
              description: description
              id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
              mimeType:
                description: description
                id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
                value: value
              mandatory: true
              updateTimestamp: 2000-01-23T04:56:07.000+00:00
            mandatory: true
            updateTimestamp: 2000-01-23T04:56:07.000+00:00
            content: content
          - filename: filename
            hasContent: true
            creationTimestamp: 2000-01-23T04:56:07.000+00:00
            description: description
            id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
            mimeType:
              description: description
              id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
              value: value
            filesize: 0
            documentTemplate:
              name: name
              creationTimestamp: 2000-01-23T04:56:07.000+00:00
              description: description
              id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
              mimeType:
                description: description
                id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
                value: value
              mandatory: true
              updateTimestamp: 2000-01-23T04:56:07.000+00:00
            mandatory: true
            updateTimestamp: 2000-01-23T04:56:07.000+00:00
            content: content
          participantType:
            id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
            label: label
            value: value
          lastStatusUpdateTimestamp: 2000-01-23T04:56:07.000+00:00
          rejectionCause: rejectionCause
          updateTimestamp: 2000-01-23T04:56:07.000+00:00
          applicant:
            firstName: firstName
            lastName: lastName
            password: null
            email: email
            username: username
          participantId: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
          organization: organization
          creationTimestamp: 2000-01-23T04:56:07.000+00:00
          id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
          status:
            id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
            label: label
            value: IN_PROGRESS
        - comments:
          - author: author
            creationTimestamp: 2000-01-23T04:56:07.000+00:00
            id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
            content: content
            updateTimestamp: 2000-01-23T04:56:07.000+00:00
          - author: author
            creationTimestamp: 2000-01-23T04:56:07.000+00:00
            id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
            content: content
            updateTimestamp: 2000-01-23T04:56:07.000+00:00
          expirationTimeframe: 6
          documents:
          - filename: filename
            hasContent: true
            creationTimestamp: 2000-01-23T04:56:07.000+00:00
            description: description
            id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
            mimeType:
              description: description
              id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
              value: value
            filesize: 0
            documentTemplate:
              name: name
              creationTimestamp: 2000-01-23T04:56:07.000+00:00
              description: description
              id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
              mimeType:
                description: description
                id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
                value: value
              mandatory: true
              updateTimestamp: 2000-01-23T04:56:07.000+00:00
            mandatory: true
            updateTimestamp: 2000-01-23T04:56:07.000+00:00
            content: content
          - filename: filename
            hasContent: true
            creationTimestamp: 2000-01-23T04:56:07.000+00:00
            description: description
            id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
            mimeType:
              description: description
              id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
              value: value
            filesize: 0
            documentTemplate:
              name: name
              creationTimestamp: 2000-01-23T04:56:07.000+00:00
              description: description
              id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
              mimeType:
                description: description
                id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
                value: value
              mandatory: true
              updateTimestamp: 2000-01-23T04:56:07.000+00:00
            mandatory: true
            updateTimestamp: 2000-01-23T04:56:07.000+00:00
            content: content
          participantType:
            id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
            label: label
            value: value
          lastStatusUpdateTimestamp: 2000-01-23T04:56:07.000+00:00
          rejectionCause: rejectionCause
          updateTimestamp: 2000-01-23T04:56:07.000+00:00
          applicant:
            firstName: firstName
            lastName: lastName
            password: null
            email: email
            username: username
          participantId: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
          organization: organization
          creationTimestamp: 2000-01-23T04:56:07.000+00:00
          id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
          status:
            id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
            label: label
            value: IN_PROGRESS
        empty: true
      properties:
        content:
          items:
            $ref: '#/components/schemas/OnboardingRequestDTO'
          type: array
        page:
          $ref: '#/components/schemas/PageMetadata'
        empty:
          type: boolean
      type: object
    PagedModelMimeTypeDTO:
      example:
        page:
          number: 5
          size: 1
          totalPages: 2
          totalElements: 5
        content:
        - description: description
          id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
          value: value
        - description: description
          id: 046b6c7f-0b8a-43b9-b35d-6489e6daee91
          value: value
      properties:
        content:
          items:
            $ref: '#/components/schemas/MimeTypeDTO'
          type: array
        page:
          $ref: '#/components/schemas/PageMetadata'
      type: object
